

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    
    <title>pywws.toservice &mdash; pywws v12.10 documentation</title>
    <link rel="stylesheet" href="../_static/default.css" type="text/css" />
    <link rel="stylesheet" href="../_static/pygments.css" type="text/css" />
    <script type="text/javascript">
      var DOCUMENTATION_OPTIONS = {
        URL_ROOT:    '../',
        VERSION:     '12.10',
        COLLAPSE_INDEX: false,
        FILE_SUFFIX: '.html',
        HAS_SOURCE:  true
      };
    </script>
    <script type="text/javascript" src="../_static/jquery.js"></script>
    <script type="text/javascript" src="../_static/underscore.js"></script>
    <script type="text/javascript" src="../_static/doctools.js"></script>
    <link rel="shortcut icon" href="../_static/pywws_logo.ico"/>
    <link rel="top" title="pywws v12.10 documentation" href="../index.html" />
    <link rel="up" title="Python programs and modules" href="index.html" />
    <link rel="next" title="pywws.YoWindow" href="pywws.YoWindow.html" />
    <link rel="prev" title="pywws.ToTwitter" href="pywws.ToTwitter.html" /> 
  </head>
  <body>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.YoWindow.html" title="pywws.YoWindow"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="pywws.ToTwitter.html" title="pywws.ToTwitter"
             accesskey="P">previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" accesskey="U">Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>  

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body">
            
  <div class="section" id="module-pywws.toservice">
<span id="pywws-toservice"></span><h1>pywws.toservice<a class="headerlink" href="#module-pywws.toservice" title="Permalink to this headline">¶</a></h1>
<p>Post weather update to services such as Weather Underground</p>
<div class="highlight-python"><pre>usage: python toservice.py [options] data_dir service_name
options are:
 -h or --help     display this help
 -c or --catchup  upload all data since last upload
 -v or --verbose  increase amount of reassuring messages
data_dir is the root directory of the weather data
service_name is the service to upload to, e.g. underground</pre>
</div>
<div class="section" id="introduction">
<h2>Introduction<a class="headerlink" href="#introduction" title="Permalink to this headline">¶</a></h2>
<p>Several organisations allow weather stations to upload data using a
simple HTTP &#8216;POST&#8217; or &#8216;GET&#8217; request, with the data encoded as a
sequence of <tt class="docutils literal"><span class="pre">key=value</span></tt> pairs separated by <tt class="docutils literal"><span class="pre">&amp;</span></tt> characters.</p>
<p>This module enables pywws to upload readings to these organisations.
It is highly customisable using configuration files. Each &#8216;service&#8217;
requires a configuration file and two templates in <tt class="docutils literal"><span class="pre">pywws/services</span></tt>
(that should not need to be edited by the user) and a section in
<tt class="docutils literal"><span class="pre">weather.ini</span></tt> containing user specific data such as your site ID and
password.</p>
<p>There are currently six services for which configuration files have
been written.</p>
<table border="1" class="docutils">
<colgroup>
<col width="47%" />
<col width="15%" />
<col width="37%" />
</colgroup>
<thead valign="bottom">
<tr><th class="head">organisation</th>
<th class="head">service name</th>
<th class="head">config file</th>
</tr>
</thead>
<tbody valign="top">
<tr><td><a class="reference external" href="http://wow.metoffice.gov.uk/">UK Met Office</a></td>
<td><tt class="docutils literal"><span class="pre">metoffice</span></tt></td>
<td><a class="reference download internal" href="../_downloads/metoffice.ini"><tt class="xref download docutils literal"><span class="pre">../../pywws/services/metoffice.ini</span></tt></a></td>
</tr>
<tr><td><a class="reference external" href="http://openweathermap.org/">Open Weather Map</a></td>
<td><tt class="docutils literal"><span class="pre">openweathermap</span></tt></td>
<td><a class="reference download internal" href="../_downloads/openweathermap.ini"><tt class="xref download docutils literal"><span class="pre">../../pywws/services/openweathermap.ini</span></tt></a></td>
</tr>
<tr><td><a class="reference external" href="http://stacjapogody.waw.pl/index.php?id=mapastacji">Stacja Pogody</a></td>
<td><tt class="docutils literal"><span class="pre">stacjapogodywawpl</span></tt></td>
<td><a class="reference download internal" href="../_downloads/stacjapogodywawpl.ini"><tt class="xref download docutils literal"><span class="pre">../../pywws/services/stacjapogodywawpl.ini</span></tt></a></td>
</tr>
<tr><td><a class="reference external" href="http://www.temperatur.nu/">temperatur.nu</a></td>
<td><tt class="docutils literal"><span class="pre">temperaturnu</span></tt></td>
<td><a class="reference download internal" href="../_downloads/temperaturnu.ini"><tt class="xref download docutils literal"><span class="pre">../../pywws/services/temperaturnu.ini</span></tt></a></td>
</tr>
<tr><td><a class="reference external" href="http://www.wunderground.com/">Weather Underground</a></td>
<td><tt class="docutils literal"><span class="pre">underground</span></tt></td>
<td><a class="reference download internal" href="../_downloads/underground.ini"><tt class="xref download docutils literal"><span class="pre">../../pywws/services/underground.ini</span></tt></a></td>
</tr>
<tr><td><a class="reference external" href="http://www.wetter.com/community/">wetter.com</a></td>
<td><tt class="docutils literal"><span class="pre">wetterarchivde</span></tt></td>
<td><a class="reference download internal" href="../_downloads/wetterarchivde.ini"><tt class="xref download docutils literal"><span class="pre">../../pywws/services/wetterarchivde.ini</span></tt></a></td>
</tr>
</tbody>
</table>
</div>
<div class="section" id="configuration">
<h2>Configuration<a class="headerlink" href="#configuration" title="Permalink to this headline">¶</a></h2>
<p>If you haven&#8217;t already done so, visit the organisation&#8217;s web site and
create an account for your weather station. Make a note of any site ID
and password details you are given.</p>
<p>Stop any pywws software that is running and then run <tt class="docutils literal"><span class="pre">toservice.py</span></tt>
to create a section in <tt class="docutils literal"><span class="pre">weather.ini</span></tt>:</p>
<div class="highlight-python"><pre>python pywws/toservice.py data_dir service_name</pre>
</div>
<p><tt class="docutils literal"><span class="pre">service_name</span></tt> is a single word service name, such as <tt class="docutils literal"><span class="pre">metoffice</span></tt>,
<tt class="docutils literal"><span class="pre">data_dir</span></tt> is your weather data directory, as usual.</p>
<p>Edit <tt class="docutils literal"><span class="pre">weather.ini</span></tt> and find the section corresponding to the service
name, e.g. <tt class="docutils literal"><span class="pre">[underground]</span></tt>. Copy your site details into this
section, for example:</p>
<div class="highlight-python"><div class="highlight"><pre><span class="p">[</span><span class="n">underground</span><span class="p">]</span>
<span class="n">password</span> <span class="o">=</span> <span class="n">secret</span>
<span class="n">station</span> <span class="o">=</span> <span class="n">ABCDEFG1A</span>
</pre></div>
</div>
<p>Now you can test your configuration:</p>
<div class="highlight-python"><pre>python pywws/toservice.py -vvv data_dir service_name</pre>
</div>
<p>This should show you the data string that is uploaded. Any failure
should generate an error message.</p>
</div>
<div class="section" id="upload-old-data">
<h2>Upload old data<a class="headerlink" href="#upload-old-data" title="Permalink to this headline">¶</a></h2>
<p>Now you can upload your last 7 days&#8217; data, if the service supports it.
Edit your <tt class="docutils literal"><span class="pre">weather.ini</span></tt> file and remove the <tt class="docutils literal"><span class="pre">last</span> <span class="pre">update</span></tt> line
from the appropriate section, then run <tt class="docutils literal"><span class="pre">toservice.py</span></tt> with the
catchup option:</p>
<div class="highlight-python"><pre>python pywws/toservice.py -cvv data_dir service_name</pre>
</div>
<p>This may take 20 minutes or more, depending on how much data you have.</p>
</div>
<div class="section" id="add-service-s-upload-to-regular-tasks">
<h2>Add service(s) upload to regular tasks<a class="headerlink" href="#add-service-s-upload-to-regular-tasks" title="Permalink to this headline">¶</a></h2>
<p>Edit your <tt class="docutils literal"><span class="pre">weather.ini</span></tt> again, and add a list of services to the
<tt class="docutils literal"><span class="pre">[live]</span></tt>, <tt class="docutils literal"><span class="pre">[logged]</span></tt>, <tt class="docutils literal"><span class="pre">[hourly]</span></tt>, <tt class="docutils literal"><span class="pre">[12</span> <span class="pre">hourly]</span></tt> or <tt class="docutils literal"><span class="pre">[daily]</span></tt>
section, depending on how often you want to send data. For example:</p>
<div class="highlight-python"><div class="highlight"><pre><span class="p">[</span><span class="n">live</span><span class="p">]</span>
<span class="n">twitter</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">plot</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">text</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">services</span> <span class="o">=</span> <span class="p">[</span><span class="s">&#39;underground&#39;</span><span class="p">]</span>

<span class="p">[</span><span class="n">logged</span><span class="p">]</span>
<span class="n">twitter</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">plot</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">text</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">services</span> <span class="o">=</span> <span class="p">[</span><span class="s">&#39;metoffice&#39;</span><span class="p">,</span> <span class="s">&#39;stacjapogodywawpl&#39;</span><span class="p">]</span>

<span class="p">[</span><span class="n">hourly</span><span class="p">]</span>
<span class="n">twitter</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">plot</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">text</span> <span class="o">=</span> <span class="p">[]</span>
<span class="n">services</span> <span class="o">=</span> <span class="p">[</span><span class="s">&#39;underground&#39;</span><span class="p">]</span>
</pre></div>
</div>
<p>Note that the <tt class="docutils literal"><span class="pre">[live]</span></tt> section is only used when running
<tt class="docutils literal"><span class="pre">LiveLog.py</span></tt>. It is a good idea to repeat any service selected in
<tt class="docutils literal"><span class="pre">[live]</span></tt> in the <tt class="docutils literal"><span class="pre">[logged]</span></tt> or <tt class="docutils literal"><span class="pre">[hourly]</span></tt> section in case you
switch to running <a class="reference internal" href="Hourly.html#module-Hourly"><tt class="xref py py-mod docutils literal"><span class="pre">Hourly</span></tt></a>.</p>
<p>Restart your regular pywws program (<a class="reference internal" href="Hourly.html#module-Hourly"><tt class="xref py py-mod docutils literal"><span class="pre">Hourly</span></tt></a> or <a class="reference internal" href="LiveLog.html#module-LiveLog"><tt class="xref py py-mod docutils literal"><span class="pre">LiveLog</span></tt></a>)
and visit the appropriate web site to see regular updates from your
weather station.</p>
</div>
<div class="section" id="notes-on-the-services">
<h2>Notes on the services<a class="headerlink" href="#notes-on-the-services" title="Permalink to this headline">¶</a></h2>
<div class="section" id="id1">
<h3>UK Met Office<a class="headerlink" href="#id1" title="Permalink to this headline">¶</a></h3>
<ul>
<li><p class="first">Create account: <a class="reference external" href="https://register.metoffice.gov.uk/WaveRegistrationClient/public/register.do?service=weatherobservations">https://register.metoffice.gov.uk/WaveRegistrationClient/public/register.do?service=weatherobservations</a></p>
</li>
<li><p class="first">API: <a class="reference external" href="http://wow.metoffice.gov.uk/support?category=dataformats#automatic">http://wow.metoffice.gov.uk/support?category=dataformats#automatic</a></p>
</li>
<li><p class="first">Example <tt class="docutils literal"><span class="pre">weather.ini</span></tt> section:</p>
<div class="highlight-python"><pre>[metoffice]
site id = 12345678
aws pin = 987654</pre>
</div>
</li>
</ul>
</div>
<div class="section" id="id2">
<h3>Open Weather Map<a class="headerlink" href="#id2" title="Permalink to this headline">¶</a></h3>
<ul>
<li><p class="first">Create account: <a class="reference external" href="http://openweathermap.org/login">http://openweathermap.org/login</a></p>
</li>
<li><p class="first">API: <a class="reference external" href="http://openweathermap.org/API">http://openweathermap.org/API</a></p>
</li>
<li><p class="first">Example <tt class="docutils literal"><span class="pre">weather.ini</span></tt> section:</p>
<div class="highlight-python"><pre>[openweathermap]
lat = 51.501
long = -0.142
alt = 10
user = Elizabeth Windsor
password = corgi
id = Buck House</pre>
</div>
</li>
</ul>
<p>The default behaviour is to use your user name to identify the weather
station. However, it&#8217;s possible for a user to have more than one
weather station, so there is an undocumented <tt class="docutils literal"><span class="pre">name</span></tt> parameter in the
API that can be used to identify the station. This appears as <tt class="docutils literal"><span class="pre">id</span></tt>
in <tt class="docutils literal"><span class="pre">weather.ini</span></tt>. Make sure you don&#8217;t choose a name that is already
in use.</p>
</div>
<div class="section" id="id3">
<h3>Weather Underground<a class="headerlink" href="#id3" title="Permalink to this headline">¶</a></h3>
<ul>
<li><p class="first">Create account: <a class="reference external" href="http://www.wunderground.com/members/signup.asp">http://www.wunderground.com/members/signup.asp</a></p>
</li>
<li><p class="first">API: <a class="reference external" href="http://wiki.wunderground.com/index.php/">http://wiki.wunderground.com/index.php/</a><a href="#id4"><span class="problematic" id="id5">PWS_</span></a>-_Upload_Protocol</p>
</li>
<li><p class="first">Example <tt class="docutils literal"><span class="pre">weather.ini</span></tt> section:</p>
<div class="highlight-python"><div class="highlight"><pre><span class="p">[</span><span class="n">underground</span><span class="p">]</span>
<span class="n">station</span> <span class="o">=</span> <span class="n">ABCDEFGH1</span>
<span class="n">password</span> <span class="o">=</span> <span class="n">xxxxxxx</span>
</pre></div>
</div>
</li>
</ul>
</div>
</div>
<div class="section" id="api">
<h2>API<a class="headerlink" href="#api" title="Permalink to this headline">¶</a></h2>
<p class="rubric">Classes</p>
<table border="1" class="docutils">
<colgroup>
<col width="10%" />
<col width="90%" />
</colgroup>
<tbody valign="top">
<tr><td><a class="reference internal" href="#pywws.toservice.ToService" title="pywws.toservice.ToService"><tt class="xref py py-obj docutils literal"><span class="pre">ToService</span></tt></a>(params,&nbsp;calib_data[,&nbsp;service_name])</td>
<td>Upload weather data to weather services such as Weather</td>
</tr>
</tbody>
</table>
<dl class="class">
<dt id="pywws.toservice.ToService">
<em class="property">class </em><tt class="descclassname">pywws.toservice.</tt><tt class="descname">ToService</tt><big>(</big><em>params</em>, <em>calib_data</em>, <em>service_name=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/toservice.html#ToService"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.toservice.ToService" title="Permalink to this definition">¶</a></dt>
<dd><p>Upload weather data to weather services such as Weather
Underground.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first last simple">
<li><strong>params</strong> (<a class="reference internal" href="pywws.DataStore.html#pywws.DataStore.params" title="pywws.DataStore.params"><tt class="xref py py-class docutils literal"><span class="pre">pywws.DataStore.params</span></tt></a>) &#8211; pywws configuration.</li>
<li><strong>calib_data</strong> (<a class="reference internal" href="pywws.DataStore.html#pywws.DataStore.calib_store" title="pywws.DataStore.calib_store"><tt class="xref py py-class docutils literal"><span class="pre">pywws.DataStore.calib_store</span></tt></a>) &#8211; &#8216;calibrated&#8217; data.</li>
<li><strong>service_name</strong> (<em>string</em>) &#8211; name of service to upload to.</li>
</ul>
</td>
</tr>
</tbody>
</table>
<dl class="method">
<dt id="pywws.toservice.ToService.translate_data">
<tt class="descname">translate_data</tt><big>(</big><em>current</em>, <em>fixed_data</em><big>)</big><a class="reference internal" href="../_modules/pywws/toservice.html#ToService.translate_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.toservice.ToService.translate_data" title="Permalink to this definition">¶</a></dt>
<dd><p>Convert a weather data record to upload format.</p>
<p>The <tt class="xref py py-obj docutils literal"><span class="pre">current</span></tt> parameter contains the data to be uploaded.
It should be a &#8216;calibrated&#8217; data record, as stored in
<a class="reference internal" href="pywws.DataStore.html#pywws.DataStore.calib_store" title="pywws.DataStore.calib_store"><tt class="xref py py-class docutils literal"><span class="pre">pywws.DataStore.calib_store</span></tt></a>.</p>
<p>The <tt class="xref py py-obj docutils literal"><span class="pre">fixed_data</span></tt> parameter contains unvarying data that
is site dependent, for example an ID code and authentication
data.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>current</strong> (<em>dict</em>) &#8211; the weather data record.</li>
<li><strong>fixed_data</strong> (<em>dict</em>) &#8211; unvarying upload data.</li>
</ul>
</td>
</tr>
<tr class="field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">converted data, or <tt class="xref py py-obj xref docutils literal"><span class="pre">None</span></tt> if invalid data.</p>
</td>
</tr>
<tr class="field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last">dict(string)</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="pywws.toservice.ToService.send_data">
<tt class="descname">send_data</tt><big>(</big><em>data</em>, <em>server</em>, <em>fixed_data</em><big>)</big><a class="reference internal" href="../_modules/pywws/toservice.html#ToService.send_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.toservice.ToService.send_data" title="Permalink to this definition">¶</a></dt>
<dd><p>Upload a weather data record.</p>
<p>The <tt class="xref py py-obj docutils literal"><span class="pre">data</span></tt> parameter contains the data to be uploaded.
It should be a &#8216;calibrated&#8217; data record, as stored in
<a class="reference internal" href="pywws.DataStore.html#pywws.DataStore.calib_store" title="pywws.DataStore.calib_store"><tt class="xref py py-class docutils literal"><span class="pre">pywws.DataStore.calib_store</span></tt></a>.</p>
<p>The <tt class="xref py py-obj docutils literal"><span class="pre">fixed_data</span></tt> parameter contains unvarying data that
is site dependent, for example an ID code and authentication
data.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>data</strong> (<em>dict</em>) &#8211; the weather data record.</li>
<li><strong>server</strong> (<em>string</em>) &#8211; web address to upload to.</li>
<li><strong>fixed_data</strong> (<em>dict</em>) &#8211; unvarying upload data.</li>
</ul>
</td>
</tr>
<tr class="field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">success status</p>
</td>
</tr>
<tr class="field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last">bool</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="pywws.toservice.ToService.Upload">
<tt class="descname">Upload</tt><big>(</big><em>catchup</em><big>)</big><a class="reference internal" href="../_modules/pywws/toservice.html#ToService.Upload"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.toservice.ToService.Upload" title="Permalink to this definition">¶</a></dt>
<dd><p>Upload one or more weather data records.</p>
<p>This method uploads either the most recent weather data
record, or all records since the last upload (up to 7 days),
according to the value of <tt class="xref py py-obj docutils literal"><span class="pre">catchup</span></tt>.</p>
<p>It sets the <tt class="docutils literal"><span class="pre">last</span> <span class="pre">update</span></tt> configuration value to the time
stamp of the most recent record successfully uploaded.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>catchup</strong> (<em>bool</em>) &#8211; upload all data since last upload.</li>
</ul>
</td>
</tr>
<tr class="field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">success status</p>
</td>
</tr>
<tr class="field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last">bool</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

<dl class="method">
<dt id="pywws.toservice.ToService.RapidFire">
<tt class="descname">RapidFire</tt><big>(</big><em>data</em>, <em>catchup</em><big>)</big><a class="reference internal" href="../_modules/pywws/toservice.html#ToService.RapidFire"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.toservice.ToService.RapidFire" title="Permalink to this definition">¶</a></dt>
<dd><p>Upload a &#8216;Rapid Fire&#8217; weather data record.</p>
<p>This method uploads either a single data record (typically one
obtained during &#8216;live&#8217; logging), or all records since the last
upload (up to 7 days), according to the value of
<tt class="xref py py-obj docutils literal"><span class="pre">catchup</span></tt>.</p>
<p>It sets the <tt class="docutils literal"><span class="pre">last</span> <span class="pre">update</span></tt> configuration value to the time
stamp of the most recent record successfully uploaded.</p>
<p>The <tt class="xref py py-obj docutils literal"><span class="pre">data</span></tt> parameter contains the data to be uploaded.
It should be a &#8216;calibrated&#8217; data record, as stored in
<a class="reference internal" href="pywws.DataStore.html#pywws.DataStore.calib_store" title="pywws.DataStore.calib_store"><tt class="xref py py-class docutils literal"><span class="pre">pywws.DataStore.calib_store</span></tt></a>.</p>
<table class="docutils field-list" frame="void" rules="none">
<col class="field-name" />
<col class="field-body" />
<tbody valign="top">
<tr class="field"><th class="field-name">Parameters:</th><td class="field-body"><ul class="first simple">
<li><strong>data</strong> (<em>dict</em>) &#8211; the weather data record.</li>
<li><strong>catchup</strong> (<em>bool</em>) &#8211; upload all data since last upload.</li>
</ul>
</td>
</tr>
<tr class="field"><th class="field-name">Returns:</th><td class="field-body"><p class="first">success status</p>
</td>
</tr>
<tr class="field"><th class="field-name">Return type:</th><td class="field-body"><p class="first last">bool</p>
</td>
</tr>
</tbody>
</table>
</dd></dl>

</dd></dl>

<dl class="function">
<dt id="pywws.toservice.main">
<tt class="descclassname">pywws.toservice.</tt><tt class="descname">main</tt><big>(</big><em>argv=None</em><big>)</big><a class="reference internal" href="../_modules/pywws/toservice.html#main"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#pywws.toservice.main" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</div>
</div>


          </div>
        </div>
      </div>
      <div class="sphinxsidebar">
        <div class="sphinxsidebarwrapper">
  <h3><a href="../index.html">Table Of Contents</a></h3>
  <ul>
<li><a class="reference internal" href="#">pywws.toservice</a><ul>
<li><a class="reference internal" href="#introduction">Introduction</a></li>
<li><a class="reference internal" href="#configuration">Configuration</a></li>
<li><a class="reference internal" href="#upload-old-data">Upload old data</a></li>
<li><a class="reference internal" href="#add-service-s-upload-to-regular-tasks">Add service(s) upload to regular tasks</a></li>
<li><a class="reference internal" href="#notes-on-the-services">Notes on the services</a><ul>
<li><a class="reference internal" href="#id1">UK Met Office</a></li>
<li><a class="reference internal" href="#id2">Open Weather Map</a></li>
<li><a class="reference internal" href="#id3">Weather Underground</a></li>
</ul>
</li>
<li><a class="reference internal" href="#api">API</a></li>
</ul>
</li>
</ul>

  <h4>Previous topic</h4>
  <p class="topless"><a href="pywws.ToTwitter.html"
                        title="previous chapter">pywws.ToTwitter</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="pywws.YoWindow.html"
                        title="next chapter">pywws.YoWindow</a></p>
<div id="searchbox" style="display: none">
  <h3>Quick search</h3>
    <form class="search" action="../search.html" method="get">
      <input type="text" name="q" size="18" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    <p class="searchtip" style="font-size: 90%">
    Enter search terms or a module, class or function name.
    </p>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="../genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="../py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="pywws.YoWindow.html" title="pywws.YoWindow"
             >next</a> |</li>
        <li class="right" >
          <a href="pywws.ToTwitter.html" title="pywws.ToTwitter"
             >previous</a> |</li>
        <li><a href="../index.html">pywws v12.10 documentation</a> &raquo;</li>
          <li><a href="index.html" >Python programs and modules</a> &raquo;</li> 
      </ul>
    </div>
    <div class="footer">
        &copy; Copyright 2009-12, Jim Easterbrook.
      Created using <a href="http://sphinx.pocoo.org/">Sphinx</a> 1.0.1.
    </div>
  </body>
</html>